diff options
author | Patrick J Volkerding <volkerdi@slackware.com> | 2013-11-04 17:08:47 +0000 |
---|---|---|
committer | Eric Hameleers <alien@slackware.com> | 2018-05-31 22:57:36 +0200 |
commit | 76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (patch) | |
tree | 9b98e6e193c7870cb27ac861394c1c4592850922 /source/a/btrfs-progs | |
parent | 9664bee729d487bcc0a0bc35859f8e13d5421c75 (diff) | |
download | current-76fc4757ac91ac7947a01fb7b53dddf9a78a01d1.tar.gz |
Slackware 14.1slackware-14.1
Mon Nov 4 17:08:47 UTC 2013
Slackware 14.1 x86_64 stable is released!
It's been another interesting release cycle here at Slackware bringing
new features like support for UEFI machines, updated compilers and
development tools, the switch from MySQL to MariaDB, and many more
improvements throughout the system. Thanks to the team, the upstream
developers, the dedicated Slackware community, and everyone else who
pitched in to help make this release a reality.
The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a
dual-sided
32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware
project by picking up a copy from store.slackware.com. We're taking
pre-orders now, and offer a discount if you sign up for a subscription.
Have fun! :-)
Diffstat (limited to 'source/a/btrfs-progs')
-rwxr-xr-x | source/a/btrfs-progs/btrfs-progs.SlackBuild | 12 | ||||
-rw-r--r-- | source/a/btrfs-progs/fsck.btrfs | 57 |
2 files changed, 7 insertions, 62 deletions
diff --git a/source/a/btrfs-progs/btrfs-progs.SlackBuild b/source/a/btrfs-progs/btrfs-progs.SlackBuild index 99dd753d..710c7eba 100755 --- a/source/a/btrfs-progs/btrfs-progs.SlackBuild +++ b/source/a/btrfs-progs/btrfs-progs.SlackBuild @@ -89,12 +89,14 @@ make install DESTDIR=$PKG || exit 1 # Move stuff out of /usr/local: mv $PKG/usr/local/bin $PKG/sbin mv $PKG/usr/local/man $PKG/usr/man -rmdir $PKG/usr/local -# Add an fsck.btrfs script. For now this serves to eat options such as -a -# that would otherwise cause issues for btrfs at boot time. -cat $CWD/fsck.btrfs > $PKG/sbin/fsck.btrfs -chmod 755 $PKG/sbin/fsck.btrfs +# Do not ship libraries/include files. +# If there becomes a use for these outside of btrfs-progs, let me know. +rm -rf $PKG/usr/local + +# According to https://btrfs.wiki.kernel.org/index.php/FAQ#When_will_Btrfs_have_a_fsck_like_tool.3F +# it is not recommended to make fsck.btrfs a no-op by linking it to /bin/true: +ln -sf /bin/true $PKG/sbin/fsck.btrfs # Compress and link manpages, if any: if [ -d $PKG/usr/man ]; then diff --git a/source/a/btrfs-progs/fsck.btrfs b/source/a/btrfs-progs/fsck.btrfs deleted file mode 100644 index 779e0b79..00000000 --- a/source/a/btrfs-progs/fsck.btrfs +++ /dev/null @@ -1,57 +0,0 @@ -#!/bin/sh - -# Copyright 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA -# All rights reserved. -# -# Redistribution and use of this script, with or without modification, is -# permitted provided that the following conditions are met: -# -# 1. Redistributions of this script must retain the above copyright -# notice, this list of conditions and the following disclaimer. -# -# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED -# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF -# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO -# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, -# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, -# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; -# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, -# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR -# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF -# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. - -# Currently, btrfsck does not recognize any options, so eat any initial options -# beginning with '-'. Then, check the remaining args with btrfsck only if they -# exist and are readable. - -# Strip initial args: -while [ ! -z "$1" ]; do - if [ "$(echo $1 | cut -b1)" = "-" ]; then - shift # strip option from command line - else - break - fi -done - -# Main filesystem check loop: -RETVAL=0 -while [ ! -z "$1" ]; do - if [ -r "$1" ]; then - echo "fsck.btrfs: Checking filesystem on $1" - # Checking the root filesystem (even read-only) will fail, check for that: - if ! grep -w "$1" /etc/fstab | grep -wq / ; then - btrfsck "$1" - ERRCODE=$? - if [ ! $ERRCODE = 0 ]; then - RETVAL=$ERRCODE - fi - else - echo " $1 mounted on /, skipped." - fi - fi - shift -done - -# If there was an error, return the most recent error code: -exit $RETVAL - |